import request from '@/utils/request'

// 查询查获记录列表
export function listRecord(query) {
  return request({
    url: '/item/record/list',
    method: 'get',
    params: query
  })
}

// 查询查获记录详细
export function getRecord(id) {
  return request({
    url: '/item/record/' + id,
    method: 'get'
  })
}

// 新增查获记录
export function addRecord(data) {
  return request({
    url: '/item/record',
    method: 'post',
    data: data
  })
}

// 修改查获记录
export function updateRecord(data) {
  return request({
    url: '/item/record',
    method: 'put',
    data: data
  })
}

// 删除查获记录
export function delRecord(id) {
  return request({
    url: '/item/record/' + id,
    method: 'delete'
  })
}
